Subject: RE: bug#16028: 24.3.50; Latest build completely breaks my thumnail frames code

From: Drew Adams <[email-masked]>
Date: Fri, 6 Dec 2013 08:43:35 -0800 (PST)

>  > Do I need to do that in my code, or will you be doing something to
>  > your fix that incorporates this?
>  >
>  > If I need to do it, should I add the sit-for to the end of `enlarge-font'
>  > or add it only after the above call in `thumfr-thumbify-frame'.
>  >
>  > IOW, is this something that needs to be fixed in the frame
>  > shrinking/enlarging code, even though I do not generally notice a problem
>  > with that, or should it be handled only here and there, where I happen to
>  > notice a problem.  (Normally, I would probably opt for the latter, but if
>  > you think this is now a wise or necessary thing to do in general, then
>  > let me know.)
> 
> Until we resolved this issue leave it in.

OK, but leave it in where?  That's my question.  After the call to
`enlarge-font' in `thumfr-thumbify-frame'?

> IIUC for some reason setting the font apparently doesn't want to resize
> the frame immediately.  I could imagine that somewhere in the code I
> compare numbers of lines/columns and decide that no resizing is needed
> because these are unchanged.
> 
> Maybe you could try to insert somwhere at the top level a (ding) in
> window--resize-root-window (in window.el) and listen whether it rings
> when you try to thumbify a frame (with and without the sit-for).

I have sound turned off and visual-bell has no effect in my environment.
And I would rather not fiddle with `window--resize-root-window'.

Are you unable to use `thumb-frm.el' for your tests?  AFAIK, it works on
any platform ("works" apart from this bug, I mean).  You should be able
to just load `frame-fns.el', `frame-cmds.el', and `thumb-frm.el', and
try it.  (You don't need all of the code in those 3 libraries, but it
won't hurt to load them for quick testing.)

But sad to say, when I try it from emacs -Q, loading those 3 libraries
and inserting `sit-for' after `enlarge-font' in `thumfr-thumbify-frame',
it does *not* solve the problem.  It works for my setup, but not for
this test from emacs -Q.  Sounds like subtle display timing thingies.
Or maybe font differences.  Or...?

I think it would be better if you could test this stuff on your end.
It is easy to see the problem, at least - just try emacs -Q, load those
3 files, then hit C-z.  Try adding sit-for here or there (where?), to
see if it helps.  I tried and failed (with emacs -Q).